OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepRepr

# StepRepr_RepresentationRelationshipWithTransformation Class Reference

`#include <StepRepr_RepresentationRelationshipWithTransformation.hxx>`

Inheritance diagram for StepRepr_RepresentationRelationshipWithTransformation:

[legend]

## Public Member Functions
Standard_EXPORT | StepRepr_RepresentationRelationshipWithTransformation ()
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepRepr_Representation)&aRep1, const Handle(StepRepr_Representation)&aRep2, const StepRepr_Transformation &aTransf)
Standard_EXPORT StepRepr_Transformation | TransformationOperator () const
Standard_EXPORT void | SetTransformationOperator (const StepRepr_Transformation &aTrans)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
StepRepr_Transformation | theTrans

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_RepresentationRelationshipWithTransformation::StepRepr_RepresentationRelationshipWithTransformation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepRepr_RepresentationRelationshipWithTransformation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_ShapeRepresentationRelationship. Reimplemented in StepRepr_ShapeRepresentationRelationshipWithTransformation.

Standard_EXPORT void StepRepr_RepresentationRelationshipWithTransformation::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepRepr_Representation)& | aRep1,
|  | const Handle(StepRepr_Representation)& | aRep2,
|  | const StepRepr_Transformation & | aTransf
| ) |

Standard_EXPORT void StepRepr_RepresentationRelationshipWithTransformation::SetTransformationOperator | ( | const StepRepr_Transformation & | aTrans | ) |

Standard_EXPORT StepRepr_Transformation StepRepr_RepresentationRelationshipWithTransformation::TransformationOperator | ( |  | ) | const

## Field Documentation

StepRepr_Transformation StepRepr_RepresentationRelationshipWithTransformation::theTrans`[private]`

The documentation for this class was generated from the following file:

- StepRepr_RepresentationRelationshipWithTransformation.hxx